; Screen
Graphics 800,600,32,2
SetBuffer BackBuffer()


; Each player has a Y position, a Speed, and a Score
Dim PlayerY#(2)
Dim PlayerSpeed#(2)
Dim PlayerScore(2)


; Each Ball has X and Y positions and Speeds
Type BallType
	Field x#,y#,xSpeed#,ySpeed#
End Type
Global ThisBall.BallType
Global NewBall.BallType



; Image Loading
Global img_Paddle_Left=LoadImage("../000-files/PaddleLeft.png")
Global img_Paddle_Right=LoadImage("../000-files/PaddleRight.png")
Global img_Ball=LoadImage("../000-files/Ball.png")

; Sound Loading
Global snd_Ball_Wall=LoadSound("../000-files/BallWall.wav")
Global snd_Ball_Paddle=LoadSound("../000-files/BallPaddle.wav")
Global snd_Score=LoadSound("../000-files/Score.wav")




; Add Paddles
PlayerY(0)=300
PlayerY(1)=300
PlayerSpeed(0)=0
PlayerSpeed(1)=0
PlayerScore(0)=0
PlayerScore(1)=0


; Main loop
Repeat
Cls

DrawImage img_Paddle_Left,40,PlayerY(0)-32
DrawImage img_Paddle_Right,744,PlayerY(1)-32

; Keyboard cursors up and down to move player.
If KeyDown(200) Then PlayerSpeed(0)=PlayerSpeed(0)-.15
If KeyDown(208) Then PlayerSpeed(0)=PlayerSpeed(0)+.15
; For a complete list of Keyboard Scancodes, see http://socoder.net/scan.gif

; Paddle Limits. Both identical, use a loop.
For n=0 To 1
	; If too fast, limit speed
	If PlayerSpeed(n)<-8 Then PlayerSpeed(n)=-4
	If PlayerSpeed(n)>8 Then PlayerSpeed(n)=4
	
	; If moving, try to slow down
	If PlayerSpeed(n)<0 Then PlayerSpeed(n)=PlayerSpeed(n)+.07
	If PlayerSpeed(n)>0 Then PlayerSpeed(n)=PlayerSpeed(n)-.07
	If PlayerSpeed(n)>-.05 And PlayerSpeed(n)<.05 Then PlayerSpeed(n)=0
	
	; Add to Y
	PlayerY(n)=PlayerY(n)+PlayerSpeed(n)
	
	If PlayerY(n)<72 Then PlayerY(n)=72
	If PlayerY(n)>548 Then PlayerY(n)=548
Next



; Draw game area
Color 255,255,255
Rect 0,40,800,8
Rect 0,580,800,8
Rect 396,40,8,540



Flip
Until KeyDown(1)